Thiago Negri | 30 Aug 03:27 2013
Picon

Tasty not compiling

I can't install tasty with cabal. Anyone with the same issue or a fix?

$ cabal install tasty
...
Test\Tasty\Core.hs:147:11: Not in scope: `witness'

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Roman Cheplyaka | 30 Aug 09:13 2013

Re: Tasty not compiling

* Thiago Negri <evohunz <at> gmail.com> [2013-08-29 22:27:47-0300]
> I can't install tasty with cabal. Anyone with the same issue or a fix?
> 
> $ cabal install tasty
> ...
> Test\Tasty\Core.hs:147:11: Not in scope: `witness'

You probably have a too old version of 'tagged'. I'll add the lower
version bound on it. Meanwhile, just do

  cabal install tasty --constraint 'tagged >=0.5'

Roman
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe

Gmane